component: Ptpg_Monitor
proto_imports:
  - vehicle/ptpg_monitor/ptpg_monitor_diagnostics.proto
namespace: zoox::ptpg_monitor
faults:
  - id: 1
    name: PtpgStale
    severity: WARNING
    description: It has been too long since the last valid packet
    triggers_nogo: false
    freeze_frame: PtpgStaleFreezeFrame
  - id: 2
    name: CorruptPacket
    severity: WARNING
    description: Packet received is corrupt
    triggers_nogo: false
  - id: 3
    name: NotEnoughPacketsRecieved
    severity: INFO
    description: Packet rate is under 1 hz
    triggers_nogo: false
    freeze_frame: PacketCountFreezeFrame
  - id: 4
    name: TooManyPacketsReceived
    severity: INFO
    description: More than one packet received during a tick
    triggers_nogo: false
    freeze_frame: PacketCountFreezeFrame
  - id: 5
    name: BadClockValue
    severity: WARNING
    description: Time listed on PtpgStatus is very different from vehicle
    triggers_nogo: false
    freeze_frame: ClockValueFreezeFrame
    deprecated: true
  - id: 6
    name: GrandMasterNotPresent
    severity: WARNING
    description: Grand Master status is not GM_PRESENT
    triggers_nogo: false
    freeze_frame: GrandMasterStatusFreezeFrame
  - id: 7
    name: LidarCurrentLow
    severity: WARNING
    description: Lidar current is low
    triggers_nogo: false
    freeze_frame: LidarCurrentFreezeFrame
  - id: 8
    name: BadFirmwareRevision
    severity: WARNING
    description: Firmware revision does not match pcu firmware revision
    triggers_nogo: false
    freeze_frame: FirmwareRevisionFreezeFrame
  - id: 9
    name: LinkStatusNotUp
    severity: WARNING
    description: Link status indicates it is not up
    triggers_nogo: false
  - id: 10
    name: LinkStatusNotFullDuplex
    severity: WARNING
    description: Link status indicates it is not full duplex
    triggers_nogo: false
  - id: 11
    name: SwitchKeepAliveCountDidNotIncrease
    severity: WARNING
    description: Switch keep alive count either stayed the same or decreased
    triggers_nogo: false
    freeze_frame: KeepAliveCountFreezeFrame
  - id: 12
    name: UpstreamPtpDelayReqRxDiscards
    severity: WARNING
    description: upstream_port_ptp_status ptp_pdelay_req_rx_discards has been increasing for too long
    triggers_nogo: false
    freeze_frame: DiscardCountFreezeFrame
  - id: 13
    name: UpstreamPtpDelayReqRxCount
    severity: WARNING
    description: upstream_port_ptp_status ptp_pdelay_req_rx_count did not increase the expected amount
    triggers_nogo: false
    freeze_frame: DelayCountFreeeFrame
  - id: 14
    name: LidarCurrentHigh
    severity: WARNING
    description: Lidar current is high
    triggers_nogo: false
    freeze_frame: LidarCurrentFreezeFrame
